C ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

      INTEGER FUNCTION lenc(cstr)

C @(#)Function: lenc                 Author: R.A. Jansen -- Mar  8, 1995
C @(#)
C @(#)  Purpose: Return as the function value  the position of the first
C @(#)    non-blank character  in an input  character string.  If string
C @(#)    'cstr' is blank, the return value will be its declared length.
C @(#)
C @(#)  Calling sequence: i = lenc(cstr)   where string 'cstr' can be of
C @(#)    arbitrary declared length (internally: CHARACTER*(*) ).
C @(#)
C @(#)  Dependencies:     (none)
C @(#)
C @(#)  Revision history: May 20, 2008 [RAJ] -- expanded documentation.
C @(#)------------------------------------------------------------------

      CHARACTER*(*) cstr
      INTEGER	i

C --- Find position of first non-blank character in string...
      DO i=1,LEN(cstr)
         lenc = i
         IF (cstr(lenc:lenc).NE.CHAR(32)) RETURN
      ENDDO

C --- Character string only has blanks; return declared length...
      lenc = LEN(cstr)

      RETURN
      END


